# PSmartNotifierFunction Class Reference

`#include <notifier_ext.h>`

Inheritance diagram for PSmartNotifierFunction:

List of all members.

## Public Member Functions

| PSmartNotifierFunction (unsigned id)
unsigned | GetNotifieeID () const
void * | GetNotifiee () const
PBoolean | IsValid () const

## Protected Attributes

unsigned | m_NotifieeID

## Constructor & Destructor Documentation

PSmartNotifierFunction::PSmartNotifierFunction | ( | unsigned | id | ) | `[inline]`

## Member Function Documentation

void* PSmartNotifierFunction::GetNotifiee | ( |  | ) | const`[inline]`

unsigned PSmartNotifierFunction::GetNotifieeID | ( |  | ) | const`[inline]`

PBoolean PSmartNotifierFunction::IsValid | ( |  | ) | const`[inline]`

## Member Data Documentation

unsigned PSmartNotifierFunction::m_NotifieeID `[protected]`

The documentation for this class was generated from the following file:

- notifier_ext.h